﻿using Microsoft.EntityFrameworkCore;
using Prakt12.DBModels;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prakt12.Models
{
    public class ShowInfoAboutTeachersUCModel
    {
        public static async Task<List<Teacher>> GetAllTeachersWithAllInfoFromDB()
        {
            using(_43pVorobiewContext DB = new _43pVorobiewContext())
            {
                return await DB.Teachers.Include(a => a.IdGenderNavigation)
                    .Include(a => a.TeachersCourses).ThenInclude(a => a.IdCourseNavigation)
                    .Include(a => a.TeachersSubjects).ThenInclude(a => a.IdSubjectNavigation)
                    .ToListAsync();
            }
        }
    }
}
